Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232397 - LVM2 unable to use LVM1 striped logical volumes
Summary: LVM2 unable to use LVM1 striped logical volumes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Petr Rockai
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 07:50 UTC by David Robinson
Modified: 2007-11-17 01:14 UTC (History)
6 users (show)

Fixed In Version: RHBA-2007-0287
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-08 00:16:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0287 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2007-04-28 19:01:34 UTC

Description David Robinson 2007-03-15 07:50:18 UTC
Description of problem:

LVM2 is unable to import striped LVM1 volumes. The following error is produced:

  LV testLV: inconsistent LE count 4 != 6
  Internal error: LV segments corrupted in testLV.
  Volume group "test" not found

Non-striped volumes import correctly - striping is the key.

Version-Release number of selected component (if applicable):

Versions of LVM2 > 2.2.01.08 are unable to import striped LVM1 volumes.
LVM-2.2.01.08 (RHEL4 U1) works, but LVM-2.2.01.14 (RHEL4 U2) and later are
broken. The problem exists in RHEL4 U4, and RHEL5.

How reproducible:
100%

Steps to Reproduce:
1. Make a block device (sdb in this example) available to RHEL3 (any update).
2. pvcreate /dev/sdb
3. vgcreate testVG /dev/sdb
4. lvcreate -L 100M -i 2 -n testLV testVG
5. mkfs.ext3 /dev/testVG/testLV
6. Move the block device to a RHEL4 >= U2 system (LVM-2.2.01.14).
7. Any LVM commands will cause the errors below, and you won't be able to
activate the volume group - it will not exist.

Actual results:

# lvscan
  LV testLV: inconsistent LE count 4 != 6
  Internal error: LV segments corrupted in testLV.
  Volume group "testVG" not found
  ACTIVE            '/dev/VolGroup00/LogVol00' [2.28 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol01' [512.00 MB] inherit

Unable to access the LV.

Expected results:

# lvscan 
  ACTIVE            '/dev/test/test_lv' [192.00 MB] normal
  ACTIVE            '/dev/test/test2_lv' [192.00 MB] normal
  ACTIVE            '/dev/VolGroup00/LogVol00' [3.25 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol01' [512.00 MB] inherit

Able to access the LV.

Additional info:

Comment 9 Red Hat Bugzilla 2007-05-08 00:16:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html

Comment 10 Issue Tracker 2007-06-26 18:46:42 UTC
Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'Security Errata'

This event sent from IssueTracker by sbradley 
 issue 115161


Note You need to log in before you can comment on or make changes to this bug.